<h1 id="jekyllgist">Jekyll::Gist</h1>
<p>Liquid tag for displaying GitHub Gists in Jekyll sites: <code>{% gist %}</code>.</p>
<p><a href="https://travis-ci.org/jekyll/jekyll-gist"><img src="https://travis-ci.org/jekyll/jekyll-gist.svg?branch=master" alt="Build Status" /></a></p>
<h2 id="installation">Installation</h2>
<p>Add this line to your application’s Gemfile:</p>
<pre><code>$ gem &#39;jekyll-gist&#39;</code></pre>
<p>And then execute:</p>
<pre><code>$ bundle</code></pre>
<p>Or install it yourself as:</p>
<pre><code>$ gem install jekyll-gist</code></pre>
<p>Then add the following to your site’s <code>_config.yml</code>:</p>
<pre><code>plugins:
  - jekyll-gist</code></pre>
<p>💡 If you are using a Jekyll version less than 3.5.0, use the <code>gems</code> key instead of <code>plugins</code>.</p>
<h2 id="usage">Usage</h2>
<p>Use the tag as follows in your Jekyll pages, posts and collections:</p>
<pre class="liquid"><code>{% gist c08ee0f2726fd0e3909d %}</code></pre>
<p>This will create the associated script tag:</p>
<div class="sourceCode" id="cb6"><pre class="sourceCode html"><code class="sourceCode html"><a class="sourceLine" id="cb6-1" title="1"><span class="kw">&lt;script</span><span class="ot"> src=</span><span class="st">&quot;https://gist.github.com/parkr/c08ee0f2726fd0e3909d.js&quot;</span><span class="kw">&gt;</span> <span class="kw">&lt;/script&gt;</span></a></code></pre></div>
<p>You may optionally specify a <code>filename</code> after the <code>gist_id</code>:</p>
<pre class="liquid"><code>{% gist c08ee0f2726fd0e3909d test.md %}</code></pre>
<p>This will produce the correct URL to show just the specified file in your post rather than the entire Gist.</p>
<p><strong>Pro-tip</strong>: If you provide a personal access token with Gist scope, as the environmental variable <code>JEKYLL_GITHUB_TOKEN</code>, Jekyll Gist will use the Gist API to speed up site generation.</p>
<h2 id="disabling-noscript-support">Disabling <code>noscript</code> support</h2>
<p>By default, Jekyll Gist will make an HTTP call per Gist to retrieve the raw content of the Gist. This information is used to propagate <code>noscript</code> tags for search engines and browsers without Javascript support. If you’d like to disable this feature, for example, to speed up builds locally, add the following to your site’s <code>_config.yml</code>:</p>
<div class="sourceCode" id="cb8"><pre class="sourceCode yml"><code class="sourceCode yaml"><a class="sourceLine" id="cb8-1" title="1"><span class="fu">gist:</span></a>
<a class="sourceLine" id="cb8-2" title="2">  <span class="fu">noscript:</span><span class="at"> </span><span class="ch">false</span></a></code></pre></div>
<h2 id="contributing">Contributing</h2>
<ol type="1">
<li>Fork it ( https://github.com/jekyll/jekyll-gist/fork )</li>
<li>Create your feature branch (<code>git checkout -b my-new-feature</code>)</li>
<li>Commit your changes (<code>git commit -am 'Add some feature'</code>)</li>
<li>Push to the branch (<code>git push origin my-new-feature</code>)</li>
<li>Create a new Pull Request</li>
</ol>
